question

Upvotes
Accepted
11 1 0 3

这个RDP Python API,导包就有问题,请问知道什么原因吗?重新安装几次,都提示缺少模块。

wechat-image-20211103120347.png

rdp-api
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Upvotes
Accepted
24.6k 86 10 22

Hi @tao.su

The Python Dataclasses (https://docs.python.org/3/library/dataclasses.html) were introduced in Python 3.7.

The PyPi page for RDP states that it requires Python > 3.6 refinitiv-dataplatform · PyPI

The log above shows that you are using v3.6.4

Please upgrade your python version e.g. to v3.8 or v3.9

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.